@font-face {
    font-family: 'NokiaExpanded-SemiBold';
    src: url('../font/Nokia-Expanded/OTF/NokiaExpanded-SemiBold.otf') format('opentype');
}

@font-face {
    font-family: 'NokiaExpanded-Regular';
    src: url('../font/Nokia-Expanded/OTF/NokiaExpanded-Regular.otf') format('opentype');
}

:root {
    --grey-border: #539dff;
    --blue-btn: #51a3d9;
    --blue-h2: #0029c1;
    --blue-h2-hover: #001b7c;
    --yellow-btn: #fdb926;
    --navy-text: #003366;
    --dark-grey: #333333;
}

.card-dados {
    background: white;
    width: 49%;
    border: 2px solid var(--grey-border);
    border-radius: 15px;
    padding: 15px 15px;
    text-align: center;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
    overflow: hidden;
    height: 0;
    opacity: 0;
    transition: height 0.4s ease, opacity 0.4s ease;
}

.click-plano {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    user-select: none;
    border: 2px solid var(--blue-btn);
    border-radius: 12px;
    padding: 10px 20px;
    transition: border-color 0.3s ease;
}

.click-plano:hover {
    border-color: var(--grey-border);
}

#card-planos:hover .icon-plus-h2 {
    animation: bounce 0.6s ease;
}

@keyframes bounce {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-15px);
    }

    100% {
        transform: translateY(0);
    }
}

#card-planos {
    color: var(--blue-h2);
    transition: color 0.3s ease;
}

#card-planos:hover {
    color: var(--blue-h2-hover);
}

.header {
    display: flex;
    align-items: center;
    margin-bottom: 25px;
    padding-left: 5px;
}

.icon-plus-h2 {
    background: var(--blue-btn);
    color: white;
    width: 28px;
    height: 28px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-weight: 900;
    margin-right: 20px;
}

.icon-plus-header {
    background: var(--blue-btn);
    color: white;
    width: 28px;
    height: 28px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-weight: 900;
    margin-right: 12px;
    margin-bottom: 15px;
}

.brand {
    display: block;
    text-align: left;
    font-size: 22px;
    font-weight: 900;
    color: var(--dark-grey);
    line-height: 1.1;
}

.plan {
    display: block;
    text-align: left;
    font-size: 20px;
    font-weight: 400;
    color: #555;
}

.selector-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 25px;
}

.square-btn {
    background: var(--blue-btn);
    border: none;
    width: 40px;
    height: 40px;
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: transform 0.1s ease;
}

.square-btn:active {
    transform: scale(0.97);
}

.square-btn svg {
    filter: drop-shadow(0.5px 0px 0px white);
}

.main-qty {
    font-size: 40px;
    font-weight: 900;
    color: var(--dark-grey);
    letter-spacing: -2px;
}


.line {
    height: 2px;
    background: #cccccc;
    margin: 2px 0;
}

.info-link-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
    padding: 12px 0;
}

.info-link-container a {
    font-size: 18px;
    font-weight: 900;
    color: var(--dark-grey);
    text-decoration: underline;
}

.black-circle {
    background: var(--dark-grey);
    width: 25px;
    height: 25px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.chevron-down {
    border: solid white;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
    transform: rotate(45deg);
    margin-top: -3px;
}

.price-block {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0;
    color: var(--dark-grey);
}

.price-left {
    display: flex;
    flex-direction: column;
    align-self: normal;
    justify-content: space-between;
}

.label-top {
    font-size: 8px;
    font-weight: 200;
    text-align: left;
    font-family: 'NokiaExpanded-SemiBold', sans-serif;
}

.currency-symbol {
    font-size: 26px;
    font-weight: 400;
    font-family: 'NokiaExpanded-Regular', sans-serif;
}

.price-number {
    font-size: 58px;
    font-weight: 900;
    align-self: center;
    align-content: center;
    line-height: 0;
    font-family: 'NokiaExpanded-SemiBold', sans-serif;
}

.price-right {
    display: flex;
    align-self: flex-start;
    margin-top: -6px;
    line-height: 1;
    flex-direction: column;
    font-family: 'NokiaExpanded-SemiBold', sans-serif;
}

.cents-value {
    position: relative;
    right: 2px;
    font-size: 30px;
    font-weight: 900;
}

.per-month {
    position: relative;
    right: 2px;
    font-size: 9px;
    line-height: 0;
    font-weight: 200;
}

summary {
    list-style: none;
    cursor: pointer;
}

.icon-plus-header::before {
    content: "";
    display: inline-block;
    width: 20px;
    height: 20px;
    transition: transform 0.3s ease;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><rect x="10.5" y="4" width="3.5" height="16" fill="white" rx="1"/><rect x="4" y="10.5" width="16" height="3.5" fill="white" rx="1"/></svg>');
    background-repeat: no-repeat;
    background-position: center;
}

.icon-plus-h2::before {
    content: "";
    display: inline-block;
    width: 20px;
    height: 20px;
    transition: transform 0.3s ease;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><rect x="10.5" y="4" width="3.5" height="16" fill="white" rx="1"/><rect x="4" y="10.5" width="16" height="3.5" fill="white" rx="1"/></svg>');
    background-repeat: no-repeat;
    background-position: center;
}

#card-planos.open .icon-plus-h2::before {
    transform: rotate(180deg);
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><rect x="4" y="10.5" width="16" height="3.5" fill="white" rx="1"/></svg>');
}

.alinhar-cards {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.action-area {
    text-align: center;
}

.btn-acao {
    background: #f5b506;
    color: #001d86;
    border: none;
    border-radius: 8px;
    font-size: 20px;
    font-weight: bold;
    padding: 10px 0;
    cursor: pointer;
    transition: all 0.2s ease;
    width: 100%;
}

.btn-acao.adicionar {
    background-color: #ffc107;
    color: #0033a0;
}

.btn-acao.adicionar:hover {
    background: #d89f01;
}

.btn-acao.remover {
    background-color: #3aa0e4;
    color: black;
}

.btn-acao.remover:hover {
    background-color: #1589d6;
}

.selector-row {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.main-qty-wrapper {
    position: relative;
    text-align: center;
}

.sub-info {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    font-size: 13px;
    color: #777;
    margin-top: 4px;
    white-space: nowrap;
    pointer-events: none;
}

.indicador-plano-celular {
    display: flex;
    justify-content: center;
    gap: 5px;
    margin-top: 15px;
}

.traco {
    width: 30px;
    height: 5px;
    background: #cccccc;
    border-radius: 2px;
}

.traco.ativo {
    background: #818181;
}